Create file upload URLs
curl --request POST \
--url https://www.fluenterp.com/api/v1/agents/{agent_id}/upload-urls \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"files": [
{
"file_name": "invoice.pdf",
"content_type": "application/pdf"
}
]
}
'import requests
url = "https://www.fluenterp.com/api/v1/agents/{agent_id}/upload-urls"
payload = { "files": [
{
"file_name": "invoice.pdf",
"content_type": "application/pdf"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{file_name: 'invoice.pdf', content_type: 'application/pdf'}]})
};
fetch('https://www.fluenterp.com/api/v1/agents/{agent_id}/upload-urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uploads": [
{
"file_name": "<string>",
"file_key": "<string>",
"upload_url": "<string>"
}
]
}
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}Agents
Create file upload URLs
Creates one presigned URL per file. Upload each file directly with PUT and the same Content-Type before creating a run. URLs expire after one hour. OAuth tokens require the runs:write scope.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
upload-urls
Create file upload URLs
Authorizations
ApiKeyBearerCredentialOAuth2
A Fluent API key beginning with fl-.
Path Parameters
Fluent agent ID.
Body
application/json
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
Presigned upload URLs
Show child attributes
Show child attributes